import numpy as np
from scipy.stats import levy_stable
import scipy.io as sio
import math
from joblib import Parallel, delayed
import torch
from torchvision import datasets, transforms
import sys
import scipy
import os
import glob
import argparse
import pandas as pd
from tqdm import tqdm
import time
import torch.nn as nn
import torch.nn.init as init
import sys
import vgg
from models import MultiLayerNN
from scipy.spatial import distance
import powerlaw



def load_networks(folder_name,num_iter):
    
    # TO BE CUSTOMIZED
    # INPUT: folder name that contains the network files, number of files to be loaded
    # OUTPUT: a pytorch matrix W of size d x n, where d is the dimension and n is the number of networks

            
    return W 



if __name__ == '__main__':

    folder_name = "path to the networks"

    # number of networks to be loaded 
    num_iter = 200 

    W = load_networks(folder_name)
    dists = distance.squareform(distance.pdist(W.T.numpy()))
        

    dist_lag = []
    ix = 0

    while ix+lag<num_iter:
        tmp_dist = dists[ix, ix+1]
        dist_lag.append(tmp_dist)
        ix += 1

    dist_lag = np.asarray(dist_lag)

    results = powerlaw.Fit(1/dist_lag)
    
    # power-law exponent
    alpha = results.power_law.alpha





